Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow
Interface SessionManager

public interface SessionManager

The interface that manages the relationship between the PipelineSession, the HttpRequest, and the HttpSession.

Field Summary
`static java.lang.String` | `DEFAULT_NAMESPACE_ATTRIBUTE_NAME` The name of the HTTP session attribute that contains the name of the default namespace.

Method Summary
`PipelineSession` | `getPipelineSession(javax.servlet.http.HttpServletRequest request)` A utility method that gets the PipelineSession object, creating it if necessary and setting it to the HttpServletRequest
`PipelineSession` | `getPipelineSession(javax.servlet.http.HttpServletRequest request, boolean create)` A utility method that gets the PipelineSession object.
`void` | `setPipelineSession(javax.servlet.http.HttpServletRequest request, PipelineSession pSession)` A utility method that sets the PipelineSession object back to the HttpServletRequest.

Field Detail

### DEFAULT_NAMESPACE_ATTRIBUTE_NAME

    public static final java.lang.String DEFAULT_NAMESPACE_ATTRIBUTE_NAME

  The name of the HTTP session attribute that contains the name of the default namespace. The default namespace is specified in the web.xml file for the webapp..

Method Detail

### getPipelineSession

    public PipelineSession getPipelineSession(javax.servlet.http.HttpServletRequest request)

  A utility method that gets the PipelineSession object, creating it if necessary and setting it to the HttpServletRequest

  Parameters:
    `request` - the HttpServletRequest
  Returns:
    the PipelineSession, never null

### getPipelineSession

    public PipelineSession getPipelineSession(javax.servlet.http.HttpServletRequest request,
                                              boolean create)

  A utility method that gets the PipelineSession object. If the PipelineSession does not yet exist for this request, the 'create' option allows the caller to decide if one should be created. If so, it is created and set in the HttpServletRequest.

  Parameters:
    `request` - the HttpServletRequest
    `create` - if true, will create a PS for this request if one does not already exist. If false, it will return null if a PS does not exist for this request.
  Returns:
    the PipelineSession

### setPipelineSession

    public void setPipelineSession(javax.servlet.http.HttpServletRequest request,
                                   PipelineSession pSession)

  A utility method that sets the PipelineSession object back to the HttpServletRequest. example: PipelineProcessor

  Parameters:
    `request` - the HttpServletRequest
    `pSession` - the PipelineSession

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved